import { type Base, genBase } from "./_base"

export interface Subspecialist extends Base {
  code: string
  name: string
  specialist_id?: number | string | null
}

export function genSubspecialist(): Subspecialist {
  return {
    ...genBase(),
    code: '',
    name: '',
    specialist_id: 0
  }
}
